Create (Add User or Group) Cash Flow Permission

POST /ws/rest/service/v1/cashflow/permission/{project_number}

Purpose

Add User or Group to cash flow permission (in user mode) of a specific BP in a shell based on shell number or from company level if project/shell number is not provided.

The input JSON shall provide various options to be considered for fetching the data

Request Format

All parameters must be URL encoded.

Path Parameter

project_number: Specify the project number in which the cash flow exists; if not provided, cash flows are fetched from the company level.

POST body is a JSON

Note:

POST call has input & output both as JSON in the body

Sample Request

This is an example of sample request.

{

"data" :

{

"names": ["cash flow 1"] ,

"permissions": [

{

"login_name": "PU1",

"type": "U",

"full_name": "P1 user",

"permission": {

"edit_data": "1",

"modify_permission": "1",

"view": "1"

}

}

]

}

}

Here "cash_flow" are mandatory in options.

In the request body names can be provided in below two formats

1. "names": ["cash flow 1", "cash flow 2", "cash flow 3"] For one or more cash flows.

2. "names": "cash flow 1" For only one cash flow.

If names are not provided, an error response will be provided to user to provide cash flows.

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Success Response

This is an example of a successful response with status 200.

{

"data": {

"cash flow 1": {

"added_users": [PU1],

"permissions": [

{

"login_name": "PU1",

"full_name": "PU1 P",

"permission": {

"edit_data": "1",

"view": "1",

"modify_permission": "1"

},

"type": "U"

},

{

"login_name": "coadmin",

"full_name": "Company Administrator",

"permission": {

"edit_data": "1",

"view": "1",

"modify_permission": "1"

},

"type": "U"

},

{

"full_name": "Space Planners",

"group_name": "Space Planners",

"permission": {

"edit_data": "1",

"view": "1",

"modify_permission": "1"

},

"type": "CG"

}

],

"added_groups": []

}

},

"message": [

"success"

],

"status": 200

}

Sample Failed Response

This is an example of a failed response with a status code 3000.

{

"data": {

"cash flow 1": {

"permissions": [

{

"login_name": "donna",

"full_name": "Donna Pinciotti",

"permission": {

"edit_data": "1",

"view": "1",

"modify_permission": "1"

},

"type": "U"

},

{

"full_name": "Project Managers",

"group_name": "Project Managers",

"permission": {

"edit_data": "1",

"view": "1",

"modify_permission": "0"

},

"type": "PG"

}

],

"added_users": [

"donna"

],

"added_groups": [

"Project Managers"

]

}

},

"message": [

{

"name": "cash flow 2",

"status": "add permission error message"

},

{

"name": "cash flow 3",

"status": "add permission error message"

}

],

"status": 3000

}